edu.ucsb.nceas.metacat.advancedsearch

## Class LTERSite

- java.lang.Object
- - edu.ucsb.nceas.metacat.advancedsearch.LTERSite

-     public class LTERSite
      extends java.lang.Object

  Author:
    dcosta The LTERSite class holds information about the LTER sites.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `site`
    `java.lang.String[]` | `siteKeywords`
    `java.lang.String[]` | `siteNames`
    `java.lang.String[]` | `sites`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LTERSite(java.lang.String site)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPackageId()` For a given site, return the packageId attribute search string for that site's EML documents.
    `java.lang.String` | `getSiteKeyword()` Get the keyword string for this site.
    `java.lang.String` | `getSystem()` For a given site, return system attribute search string for that site's EML documents.
    `boolean` | `isValidSite()` Boolean to determine whether a given string is a valid LTER site.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### site

          public java.lang.String site

    - #### sites

          public final java.lang.String[] sites

    - #### siteKeywords

          public final java.lang.String[] siteKeywords

    - #### siteNames

          public final java.lang.String[] siteNames

  - ### Constructor Detail

    - #### LTERSite

          public LTERSite(java.lang.String site)

  - ### Method Detail

    - #### getPackageId

          public java.lang.String getPackageId()

      For a given site, return the packageId attribute search string for that site's EML documents.
      Returns:
        packageId The first few letters that uniquely identify a site's packageId. Typically "knb-lter-xyz", though there are some exceptions.

    - #### getSiteKeyword

          public java.lang.String getSiteKeyword()

      Get the keyword string for this site. This keyword string is OR'ed with the packageId to find documents that originated from this site.
      Returns:
        siteKeyword The site keyword string.

    - #### getSystem

          public java.lang.String getSystem()

      For a given site, return system attribute search string for that site's EML documents.
      Returns:
        system A string representing the system attribute used in a LTER site's EML documents.

    - #### isValidSite

          public boolean isValidSite()

      Boolean to determine whether a given string is a valid LTER site.

Copyright © 2023 Regents of the University of California. All Rights Reserved.